{"openapi":"3.0.0","info":{"version":"1.0","title":"A01-FirstAPI","description":""},"paths":{"/getAllEmployees":{"get":{"tags":["employee"],"summary":"Get all employees","operationId":"getAllEmployees","responses":{"200":{"description":"Success"}}}},"/getEmployeeById":{"get":{"tags":["employee"],"summary":"Get Employee by ID","operationId":"getEmployeeById","responses":{"200":{"description":"Success"}}}}},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/brian.tacchi/A01-FirstAPI/1.0"}],"components":{"schemas":{"Employee":{"type":"object","required":["name","photoUrls"],"properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string","example":"John Doe"},"items":{"type":"string"}},"xml":{"name":"Employee"}},"Device":{"type":"object","properties":{"type":{"enum":["laptop","desktop","tablet","phone"]},"id":{"type":"integer","format":"int64"},"employeeId":{"type":"integer","format":"int64"},"timestampLastLogin":{"type":"string","format":"date-time"},"ipAddress":{"type":"string","description":"IP Address"},"connectionStatus":{"enum":["online","offline"]}}}},"requestBodies":{"Employee":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Employee"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Employee"}}},"description":"Employee object that needs to be added to the store","required":true}}}}